<?php

namespace NL\NlMenubuilder\ViewHelpers\Widget;

use NL\NlMenubuilder\ViewHelpers\Widget\Controller\ShowController;
use TYPO3\CMS\Fluid\Core\Widget\AbstractWidgetViewHelper;

class ShowViewHelper extends AbstractWidgetViewHelper
{
    /**
     * @var ShowController
     */
    protected $controller;

    /**
     * Inject controller
     *
     * @param ShowController $controller
     */
    public function injectController(ShowController $controller)
    {
        $this->controller = $controller;
    }

    /**
     * Initialize arguments
     *
     * @return void
     */
    public function initializeArguments()
    {
        $this->registerArgument('uuid', 'int', 'UUID of the menu', true, 0);
    }

    /**
     * Render everything
     *
     * @param \TYPO3\CMS\Extbase\Persistence\QueryResultInterface $objects
     * @param int $uuid
     * @param string $as
     * @return string
     */
    public function render()
    {
        return $this->initiateSubRequest();
    }
}
